# Intelligent Data Manager
## Overview
Intelligent Data Manager is an application specifically designed for managing smart user data. Leveraging the capabilities provided by its AI subsystem, it has already achieved AI functions such as file classification by tags, summary previews, and semantic content search. Unlike traditional file managers, Intelligent Data Manager enables users to focus on their data within a special view, referred to as the Smart Space. The main interface is illustrated in the following diagram.

![](image/1.png)

## Open Mode 

Start menu find Intelligent Data Manager click to open it 

![](image/2.png)

## Basic Operations
Basic operations can be divided into space management, file operations within a space, file previews within a space, recent file views, etc.
### Space Management
（1）Create Space 

Click the "+" button next to the tab buttons on the main interface of the software to bring up the "Create Space" interface. Enter the name for the new space, add the filtering criteria, and click the "Create" button to establish a new Smart Space.

![](image/5.png)

（2）Delete Space

 	Right-clicking on a space tab button or in an empty area within the space view will bring up a context menu. Click on the "Delete Space" option, and a secondary confirmation window will pop up. Click "OK" to delete the corresponding space.

<img src="image/3.png" alt="4"  />



![](image/4.png)

（3）Rename Space

Right-clicking on a space tab button or in an empty area within the space view will bring up a context menu. Click on the "Rename" option, and a text editing window for renaming will pop up. Change the name and click "OK" to rename the corresponding space.

<img src="image/6.png" alt="6" style="zoom: 80%;" />



![](image/7.png)

（4）Editing and Modifying Space Conditions for Dynamic File Updates

Right-clicking on a space tab button or in an empty area within the space view will bring up a context menu. Clicking on the "Current Space" option will pop up the "Edit Space Conditions" window. In this window, you can change the filtering criteria. After clicking "Apply", the files within the space will be dynamically updated based on the modified filtering criteria.Using the example where the filtering criterion is "File name contains 'ss'", clicking "OK" after setting this criterion will result in only the files whose names contain 'ss' being displayed within the space. This process effectively filters and converges the relevant files into the specified space.

![](image/8.png)



![](image/9.png)





![](image/10.png)

（5）Manually Adding Files to a Space

Right-clicking on an empty area within the space file view will bring up a context menu. Clicking on the "Add File" submenu item will open the File Explorer window. By selecting the corresponding file, you can manually add it to the space. Additionally, compatible with the file manager, you can drag and drop files into the space view to manually add them to the space.

![](image/11.png)



![](image/12.png)



![](image/13.png)



### Operations on Files within Space
1. FIle Save AS

   Select the file in the space file view, right-click on the file to pop up the menu, click on the Save File As menu item, pop up the File Explorer, select the Save As folder path, and the name of the saved file. You can save the file as a copy.

   

   ![](image/14.png)

   

   ![](image/15.png)

   ![](image/16.png)

2. Open the File Location

   Select the file in the space file view, right-click on the file to pop up the menu, and click on the location where the file is located to open the folder path where the currently selected file is located.

   ![](image/17.png)

   

   ![](image/18.png)

   

   

3. Move manually added files to another space.

   When the file is manually added by the user, select the file in the space file view, right-click on the file to bring up the menu, click on the "Move to Space" menu item, a secondary menu will pop up. Click on the submenu item with the corresponding space name to move the file from the current space to the selected space in the menu.

   ![](image/19.png)

   ![](image/20.png)

4. Open the file and Select the method to open it

   There are multiple ways to open a file. In the space file view, you can double-click the file to open it directly. Alternatively, you can right-click on the file to bring up a context menu, and then click on the "Open" submenu item to open the file. Additionally, by clicking on the "Open with" submenu item, you can select the specific application to open the file with. When a file is selected, you can also use the Enter key as a shortcut to open it.

   

   ![](image/21.png)

   

   ![](image/22.png)

   

5. File multi-selection, select all.

   In the space file view, multiple file selection and full selection are supported. Pressing Ctrl + A will select all files in the current space view. By holding down the Ctrl key and left-clicking on files in the file view, you can enter multi-selection mode when more than one file is selected. In this mode, you can click on files to select or deselect them. Additionally, holding down the Shift key and left-clicking on files will allow you to continuously select files between two adjacent clicks.

   ![](image/23.png)

   

   ![](image/24.png)

   

6. File copy and paste.

   In the space file view,  right-click on a file, a context menu will appear. Clicking on the "Copy" menu item will copy the file's content to the clipboard. user can then paste it on the desktop or in the File Explorer. Additionally, the shortcuts Ctrl+C for copying and Ctrl+V for pasting are also supported.

   ![](image/25.png)

   

7. File drag-and-drop copying to create duplicates is compatible with file management interactions.

![](image/26.png)

### Space file preview
It supports thumbnail previews of files such as images, videos, Office documents, PDFs, and more. Users can click the preview icon in the upper right corner of the preview window to view file details. Taking an image file as an example, below the thumbnail preview of the file in the preview window, users can view information such as the image's name, type, size, creation time, and more. Files can be opened directly from the preview view, and users can also access the parent directory of the file. If the file was manually added by the user, it can also be removed from the space directly within the preview.

![](image/27.png)

## Summary extraction

When previewing a file, display a summary of its content and output a descriptive paragraph of text about the file, with a word count between 20 to 50 words.

![](image/28.png)

## Search

The system supports file search and allows saving search results in the form of a space. As shown in the image below, when searching for "aaa", the search interface will list files that match the search criteria. By clicking the "Save as Space" button in the upper right corner, a window for naming the space will pop up. After entering a name and clicking "OK", the search results can be saved as a space.

![](image/29.png)



![](image/30.png)

![](image/31.png)



## Intelligent Lable

After the file index is created,intelligent labels will be automatically generated. When creating a new space, the existing smart tags will be displayed, and files that match the tag content can be converged in the smart space based on the selected intelligent labels. And it supports dynamic updates and previews Labels information for viewing spaces and files.

![](image/32.png)



Similarly, by clicking the "Save as Space" button in the upper right corner, a window for naming the space will pop up. After entering a desired name and clicking "OK", the search results can be saved as a space.

![](image/33.png)

## Basic Settings
#### View Mode

Users can select the file view mode by clicking on an icon, which allows them to set the icons to either Icon View or List View mode.

In Icon View, the files in the space will be displayed in the form of <large icon + file name>

![](image/34.png)

In List View, the files in the space will be displayed in the form of <small icon + file name + file information>

![](image/35.png)

#### Sort Type 

When browsing, users can sort files in different ways. The method of arranging files depends on the current folder view mode being used, and users can click the icon to change it.

![](image/36.png)

The various file sorting methods are introduced below:

（1）Sort by Name: Arrange files alphabetically by their names.

（2）Sort by Modification Date: Arrange files by the date and time they were last modified; by default, they will be ordered from oldest to newest.

（3）Sort by Type: Arrange files alphabetically by their file type; it will group similar files together and then sort them by name.

（4）Sort by Size: Arrange files by their size (the disk space they occupy); by default, they will be ordered from smallest to largest.

（5）Set Ascending/Descending order: According to the corresponding type, in either ascending (from smallest to largest) or descending (from largest to    		  smallest) order.

（6）Smart Sorting: Sort files based on the number of times they have been opened or the time they were last modified, in ascending order from least to 		  most.

（7）Sort by Addition Method: Prioritize files based on whether they were manually added or automatically added, and sort them in ascending order   	    		  from least to most.

（8）Global Sorting: When global search is enabled, the sorting method of all spaces will be consistent with the current view space sorting method.


## Appendix
### 1 Short Cut

| Short Cut | Function |
| :------------ | :------------ |
| Ctrl+C  | Copy |
| Ctrl+X  | Cut |
| Ctrl+V  | Paste |
| Delete  | Delete |
| Shift+Delete  | Permanent Delete |
| Ctrl+A | Select All |